## .NET 6.0.33 (6.0.3324.36610), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.Struct()
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       ldrsb     w0, [x0, #0x10]
       ldp       x29, x30, [sp], #0x10
       b         Bench.CallM[[S, benchapp]](S)
; Total bytes of code 20
```
```assembly
; Bench.CallM[[S, benchapp]](S)
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       movz      w0, #0x2a
       ldp       x29, x30, [sp], #0x10
       ret       
; Total bytes of code 20
```

## .NET 7.0.20 (7.0.2024.26716), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.Struct()
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       ldrsb     w0, [x0, #0x10]
       movz      x1, #0x7300
       movk      x1, #0x164b, lsl #16
       movk      x1, #0xe80d, lsl #32
       ldr       x1, [x1]
       ldp       x29, x30, [sp], #0x10
       br        x1; Bench.CallM[[S, benchapp]](S)
; Total bytes of code 36
```
```assembly
; Bench.CallM[[S, benchapp]](S)
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       movz      w0, #0x2a
       ldp       x29, x30, [sp], #0x10
       ret       
; Total bytes of code 20
```

## .NET 8.0.8 (8.0.824.36612), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.Struct()
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       ldrb      w0, [x0, #0x10]
       movz      x1, #0x6820
       movk      x1, #0x3103, lsl #16
       movk      x1, #0xe9d1, lsl #32
       ldr       x1, [x1]
       ldp       x29, x30, [sp], #0x10
       br        x1; Bench.CallM[[S, benchapp]](S)
; Total bytes of code 36
```
```assembly
; Bench.CallM[[S, benchapp]](S)
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       movz      w0, #0x2a
       ldp       x29, x30, [sp], #0x10
       ret       
; Total bytes of code 20
```

## .NET 9.0.0 (9.0.24.40507), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.Struct()
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       ldrb      w0, [x0, #0x10]
       movz      x1, #0xf810
       movk      x1, #0xef93, lsl #16
       movk      x1, #0xff70, lsl #32
       ldr       x1, [x1]
       ldp       x29, x30, [sp], #0x10
       br        x1
; Total bytes of code 36
```

## .NET 6.0.33 (6.0.3324.36610), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.Class()
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       ldr       x1, [x0, #8]
       movz      x0, #0x49f8
       movk      x0, #0x2de5, lsl #16
       movk      x0, #0xf5db, lsl #32
       ldp       x29, x30, [sp], #0x10
       b         Bench.CallM[[System.__Canon, System.Private.CoreLib]](System.__Canon)
; Total bytes of code 32
```
```assembly
; Bench.CallM[[System.__Canon, System.Private.CoreLib]](System.__Canon)
       stp       x29, x30, [sp, #-0x20]!
       str       x19, [sp, #0x18]
       mov       x29, sp
       mov       x19, x1
       mov       x1, x19
       movz      x0, #0xf7d8
       movk      x0, #0x2d75, lsl #16
       movk      x0, #0xf5db, lsl #32
       bl        CORINFO_HELP_ISINSTANCEOFINTERFACE
       cbz       x0, M01_L00
       mov       x0, x19
       movz      x11, #0x438
       movk      x11, #0x2c7b, lsl #16
       movk      x11, #0xf5db, lsl #32
       movz      x16, #0x438
       movk      x16, #0x2c7b, lsl #16
       movk      x16, #0xf5db, lsl #32
       ldr       x16, [x16]
       ldr       x19, [sp, #0x18]
       ldp       x29, x30, [sp], #0x20
       br        x16
M01_L00:
       movz      w0, #0
       ldr       x19, [sp, #0x18]
       ldp       x29, x30, [sp], #0x20
       ret       
; Total bytes of code 100
```

## .NET 7.0.20 (7.0.2024.26716), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.Class()
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       ldr       x1, [x0, #8]
       movz      x0, #0x72b8
       movk      x0, #0xeec5, lsl #16
       movk      x0, #0xf03a, lsl #32
       movz      x2, #0x5a38
       movk      x2, #0xeec6, lsl #16
       movk      x2, #0xf03a, lsl #32
       ldr       x2, [x2]
       ldp       x29, x30, [sp], #0x10
       br        x2; Bench.CallM[[System.__Canon, System.Private.CoreLib]](System.__Canon)
; Total bytes of code 48
```
```assembly
; Bench.CallM[[System.__Canon, System.Private.CoreLib]](System.__Canon)
       stp       x29, x30, [sp, #-0x20]!
       str       x19, [sp, #0x18]
       mov       x29, sp
       mov       x19, x1
       mov       x1, x19
       movz      x0, #0xa620
       movk      x0, #0xee38, lsl #16
       movk      x0, #0xf03a, lsl #32
       movz      x2, #0xd810
       movk      x2, #0xedf9, lsl #16
       movk      x2, #0xf03a, lsl #32
       ldr       x2, [x2]
       blr       x2; System.Runtime.CompilerServices.CastHelpers.IsInstanceOfInterface(Void*, System.Object)
       cbz       x0, M01_L00
       mov       x0, x19
       movz      x11, #0x478
       movk      x11, #0xed11, lsl #16
       movk      x11, #0xf03a, lsl #32
       ldr       x1, [x11]
       ldr       x19, [sp, #0x18]
       ldp       x29, x30, [sp], #0x20
       br        x1
M01_L00:
       mov       w0, wzr
       ldr       x19, [sp, #0x18]
       ldp       x29, x30, [sp], #0x20
       ret       
; Total bytes of code 104
```

## .NET 8.0.8 (8.0.824.36612), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.Class()
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       ldr       x1, [x0, #8]
       movz      x0, #0x6d58
       movk      x0, #0xd63e, lsl #16
       movk      x0, #0xe130, lsl #32
       movz      x2, #0x6820
       movk      x2, #0xd63f, lsl #16
       movk      x2, #0xe130, lsl #32
       ldr       x2, [x2]
       ldp       x29, x30, [sp], #0x10
       br        x2; Bench.CallM[[System.__Canon, System.Private.CoreLib]](System.__Canon)
; Total bytes of code 48
```
```assembly
; Bench.CallM[[System.__Canon, System.Private.CoreLib]](System.__Canon)
       stp       x29, x30, [sp, #-0x20]!
       str       x19, [sp, #0x18]
       mov       x29, sp
       mov       x19, x1
       mov       x1, x19
       movz      x0, #0x5e80
       movk      x0, #0xd5a9, lsl #16
       movk      x0, #0xe130, lsl #32
       movz      x2, #0x4348
       movk      x2, #0xd571, lsl #16
       movk      x2, #0xe130, lsl #32
       ldr       x2, [x2]
       blr       x2; System.Runtime.CompilerServices.CastHelpers.IsInstanceOfInterface(Void*, System.Object)
       cbz       x0, M01_L00
       mov       x0, x19
       ldr       x11, [x0]
       movz      x1, #0x34f8
       movk      x1, #0xd5ab, lsl #16
       movk      x1, #0xe130, lsl #32
       cmp       x11, x1
       b.ne      M01_L01
       movz      w0, #0x2a
       ldr       x19, [sp, #0x18]
       ldp       x29, x30, [sp], #0x20
       ret       
M01_L00:
       mov       w0, wzr
       ldr       x19, [sp, #0x18]
       ldp       x29, x30, [sp], #0x20
       ret       
M01_L01:
       movz      x11, #0x4b8
       movk      x11, #0xd47f, lsl #16
       movk      x11, #0xe130, lsl #32
       ldr       x1, [x11]
       ldr       x19, [sp, #0x18]
       ldp       x29, x30, [sp], #0x20
       br        x1
; Total bytes of code 144
```

## .NET 9.0.0 (9.0.24.40507), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.Class()
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       ldr       x1, [x0, #8]
       movz      x0, #0x2b70
       movk      x0, #0x1505, lsl #16
       movk      x0, #0xef43, lsl #32
       movz      x2, #0xf918
       movk      x2, #0x14fb, lsl #16
       movk      x2, #0xef43, lsl #32
       ldr       x2, [x2]
       ldp       x29, x30, [sp], #0x10
       br        x2
; Total bytes of code 48
```

## .NET 6.0.33 (6.0.3324.36610), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.Nullable()
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       ldrsh     w0, [x0, #0x18]
       ldp       x29, x30, [sp], #0x10
       b         Bench.CallM[[System.Nullable`1[[S, benchapp]], System.Private.CoreLib]](System.Nullable`1<S>)
; Total bytes of code 20
```
```assembly
; Bench.CallM[[System.Nullable`1[[S, benchapp]], System.Private.CoreLib]](System.Nullable`1<S>)
       stp       x29, x30, [sp, #-0x20]!
       mov       x29, sp
       str       x0, [x29, #0x18]
       ldrb      w1, [x29, #0x18]
       cbz       w1, M01_L00
       add       x1, x29, #0x18
       movz      x0, #0xfa20
       movk      x0, #0x835e, lsl #16
       movk      x0, #0xe1bf, lsl #32
       bl        #0xe1bf83336410
       mov       x1, x0
       movz      x0, #0xf7d8
       movk      x0, #0x835e, lsl #16
       movk      x0, #0xe1bf, lsl #32
       bl        CORINFO_HELP_CHKCASTINTERFACE
       movz      x11, #0x438
       movk      x11, #0x8264, lsl #16
       movk      x11, #0xe1bf, lsl #32
       ldr       x1, [x11]
       blr       x1
       ldp       x29, x30, [sp], #0x20
       ret       
M01_L00:
       movz      w0, #0
       ldp       x29, x30, [sp], #0x20
       ret       
; Total bytes of code 100
```

## .NET 7.0.20 (7.0.2024.26716), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.Nullable()
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       ldursh    w0, [x0, #0x11]
       movz      x1, #0x7300
       movk      x1, #0x3d84, lsl #16
       movk      x1, #0xfb93, lsl #32
       ldr       x1, [x1]
       ldp       x29, x30, [sp], #0x10
       br        x1; Bench.CallM[[System.Nullable`1[[S, benchapp]], System.Private.CoreLib]](System.Nullable`1<S>)
; Total bytes of code 36
```
```assembly
; Bench.CallM[[System.Nullable`1[[S, benchapp]], System.Private.CoreLib]](System.Nullable`1<S>)
       stp       x29, x30, [sp, #-0x20]!
       mov       x29, sp
       str       x0, [x29, #0x18]
       ldrb      w1, [x29, #0x18]
       cbz       w1, M01_L00
       add       x1, x29, #0x18
       movz      x0, #0xa868
       movk      x0, #0x3cf6, lsl #16
       movk      x0, #0xfb93, lsl #32
       bl        #0xfb933cb901d8
       mov       x1, x0
       movz      x0, #0xa620
       movk      x0, #0x3cf6, lsl #16
       movk      x0, #0xfb93, lsl #32
       movz      x2, #0xd888
       movk      x2, #0x3cb7, lsl #16
       movk      x2, #0xfb93, lsl #32
       ldr       x2, [x2]
       blr       x2; System.Runtime.CompilerServices.CastHelpers.ChkCastInterface(Void*, System.Object)
       movz      x11, #0x478
       movk      x11, #0x3bcf, lsl #16
       movk      x11, #0xfb93, lsl #32
       ldr       x1, [x11]
       blr       x1
       ldp       x29, x30, [sp], #0x20
       ret       
M01_L00:
       mov       w0, wzr
       ldp       x29, x30, [sp], #0x20
       ret       
; Total bytes of code 116
```

## .NET 8.0.8 (8.0.824.36612), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.Nullable()
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       ldurh     w0, [x0, #0x11]
       movz      x1, #0x6358
       movk      x1, #0x53e2, lsl #16
       movk      x1, #0xf87c, lsl #32
       ldr       x1, [x1]
       ldp       x29, x30, [sp], #0x10
       br        x1; Bench.CallM[[System.Nullable`1[[S, benchapp]], System.Private.CoreLib]](System.Nullable`1<S>)
; Total bytes of code 36
```
```assembly
; Bench.CallM[[System.Nullable`1[[S, benchapp]], System.Private.CoreLib]](System.Nullable`1<S>)
       stp       x29, x30, [sp, #-0x20]!
       mov       x29, sp
       str       x0, [x29, #0x18]
       ldrb      w1, [x29, #0x18]
       cbz       w1, M01_L01
       add       x1, x29, #0x18
       movz      x0, #0x60c8
       movk      x0, #0x534c, lsl #16
       movk      x0, #0xf87c, lsl #32
       bl        #0xf87c53150268
       mov       x1, x0
       movz      x0, #0x5e80
       movk      x0, #0x534c, lsl #16
       movk      x0, #0xf87c, lsl #32
       movz      x2, #0x43c0
       movk      x2, #0x5314, lsl #16
       movk      x2, #0xf87c, lsl #32
       ldr       x2, [x2]
       blr       x2; System.Runtime.CompilerServices.CastHelpers.ChkCastInterface(Void*, System.Object)
       ldr       x11, [x0]
       movz      x1, #0x5f28
       movk      x1, #0x534c, lsl #16
       movk      x1, #0xf87c, lsl #32
       cmp       x11, x1
       b.ne      M01_L02
       movz      w0, #0x2a
M01_L00:
       ldp       x29, x30, [sp], #0x20
       ret       
M01_L01:
       mov       w0, wzr
       ldp       x29, x30, [sp], #0x20
       ret       
M01_L02:
       movz      x11, #0x4b8
       movk      x11, #0x5222, lsl #16
       movk      x11, #0xf87c, lsl #32
       ldr       x1, [x11]
       blr       x1
       b         M01_L00
; Total bytes of code 148
```

## .NET 9.0.0 (9.0.24.40507), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.Nullable()
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       ldurh     w0, [x0, #0x11]
       movz      x1, #0xf918
       movk      x1, #0xfdea, lsl #16
       movk      x1, #0xfe7f, lsl #32
       ldr       x1, [x1]
       ldp       x29, x30, [sp], #0x10
       br        x1
; Total bytes of code 36
```

## .NET 6.0.33 (6.0.3324.36610), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.NullableSpecialized()
       stp       x29, x30, [sp, #-0x20]!
       mov       x29, sp
       ldrh      w1, [x0, #0x18]
       strh      w1, [x29, #0x18]
       ldrb      w0, [x29, #0x18]
       cbz       w0, M00_L00
       ldrb      w0, [x29, #0x19]
       strb      w0, [x29, #0x10]
       ldrsb     w0, [x29, #0x10]
       bl        Bench.CallM[[S, benchapp]](S)
       b         M00_L01
M00_L00:
       mov       w0, wzr
M00_L01:
       ldp       x29, x30, [sp], #0x20
       ret       
; Total bytes of code 56
```
```assembly
; Bench.CallM[[S, benchapp]](S)
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       movz      w0, #0x2a
       ldp       x29, x30, [sp], #0x10
       ret       
; Total bytes of code 20
```

## .NET 7.0.20 (7.0.2024.26716), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.NullableSpecialized()
       stp       x29, x30, [sp, #-0x20]!
       mov       x29, sp
       ldurh     w0, [x0, #0x11]
       strh      w0, [x29, #0x18]
       ldrb      w0, [x29, #0x18]
       cbz       w0, M00_L00
       ldrsb     w0, [x29, #0x19]
       movz      x1, #0x5b88
       movk      x1, #0xc64b, lsl #16
       movk      x1, #0xe5da, lsl #32
       ldr       x1, [x1]
       blr       x1; Bench.CallM[[S, benchapp]](S)
       b         M00_L01
M00_L00:
       mov       w0, wzr
M00_L01:
       ldp       x29, x30, [sp], #0x20
       ret       
; Total bytes of code 64
```
```assembly
; Bench.CallM[[S, benchapp]](S)
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       movz      w0, #0x2a
       ldp       x29, x30, [sp], #0x10
       ret       
; Total bytes of code 20
```

## .NET 8.0.8 (8.0.824.36612), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.NullableSpecialized()
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       add       x0, x0, #0x11
       ldrb      w1, [x0]
       ldrb      w0, [x0, #1]
       cbz       w1, M00_L01
       movz      x1, #0x6970
       movk      x1, #0x5dc8, lsl #16
       movk      x1, #0xef16, lsl #32
       ldr       x1, [x1]
       blr       x1; Bench.CallM[[S, benchapp]](S)
M00_L00:
       ldp       x29, x30, [sp], #0x10
       ret       
M00_L01:
       mov       w0, wzr
       b         M00_L00
; Total bytes of code 60
```
```assembly
; Bench.CallM[[S, benchapp]](S)
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       movz      w0, #0x2a
       ldp       x29, x30, [sp], #0x10
       ret       
; Total bytes of code 20
```

## .NET 9.0.0 (9.0.24.40507), Arm64 RyuJIT AdvSIMD
```assembly
; Bench.NullableSpecialized()
       stp       x29, x30, [sp, #-0x10]!
       mov       x29, sp
       add       x0, x0, #0x11
       ldrb      w1, [x0]
       ldrb      w0, [x0, #1]
       cbz       w1, M00_L01
       movz      x1, #0xf978
       movk      x1, #0xa68d, lsl #16
       movk      x1, #0xee59, lsl #32
       ldr       x1, [x1]
       blr       x1
M00_L00:
       ldp       x29, x30, [sp], #0x10
       ret       
M00_L01:
       mov       w0, wzr
       b         M00_L00
; Total bytes of code 60
```

